Add a new Golden Config tree

Adds a new Golden Config tree.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

treeIdstringRequiredformat: "^[0-9a-f]{24}$"
ID of the new Golden Config tree

Request

request body
versionstringOptional
basestringOptional

Response

details of the initial version of the newly created tree
idstringOptionalformat: "^[0-9a-f]{24}$"
namestringOptional
descriptionstringOptional
deviceTypestringOptional
versionstringOptional
rootobjectOptional
variableslist of objectsOptional
createdstringOptionalformat: "\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z"
createdBystringOptionalformat: "^[0-9a-f]{24}$"
lastUpdatedstringOptionalformat: "\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}.\d{3}Z"
lastUpdatedBystringOptionalformat: "^[0-9a-f]{24}$"

Errors

500
Internal Server Error